/*
 * AvrStamp
 * A simple plugable and breadboardable board
 *
 * Copyright (C) 2012  B.Stultiens
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef __AVRSTAMP_DEFS_H
#define __AVRSTAMP_DEFS_H

#define NELEM(x)	(sizeof(x)/sizeof((x)[0]))

#define setbit(port,bit)	do { port |= (uint8_t)_BV(bit); } while(0)
#define clrbit(port,bit)	do { port &= (uint8_t)~_BV(bit); } while(0)
#define tglbit(port,bit)	do { port ^= (uint8_t)_BV(bit); } while(0)

#endif
