/*
 * AvrStamp
 * A simple plugable and breadboardable board
 *
 * Copyright (C) 2012  B.Stultiens
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef __AVRSTAMP_USART_H
#define __AVRSTAMP_USART_H

void usart_init(void);

char usart_getc(void);
void usart_putc(char c);
void usart_puts(const char * PROGMEM s);
void usart_flush(void);
void usart_drain(void);
uint8_t usart_hasdata(void);
void usart_inject(char c);
void usart_puthex(uint8_t h);
void usart_puthex_u16(uint16_t h);
void usart_puthex_u32(uint32_t h);
void usart_putdec(uint8_t d);
void usart_putdec_u16(uint16_t d);
void usart_putdec_u32(uint32_t d);

#endif
